<template>
  <div class="header">
    <div class="header__box">

      <div class="header__box1">
          <div class="header__box1-img">
              <img src="./image/img_1.svg" alt="">
          </div>
          <p class="header__box1-forum">Diễn đàn</p>
          <p class="header__box1-name">DrMom</p>
      </div>
      <div class="header__box2">
          <div class="header__box2-search">
              <input type="text" placeholder="Tìm kiếm">
          </div>
          <div class="header__box2-log">
              <p>Đăng ký</p>
              <p>|</p>
              <p>Đăng nhập</p>
          </div>
      </div>
    </div>
    <div class="header__image">
        <img src="./image/img_2.svg" alt="" class="header__img-link">
    </div>
  </div>
</template>

<script>
export default {
    name: 'Header',
    data() {
        return {

        }
    }
}
</script>

<style>
.header {
    width: 1920px;
}
.header__box {
    width: 59.167777%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    padding: 16px;
}
.header__box1 {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: var(--font-text);
    font-weight: 600;
}
.header__box1-img {
    margin-right: 4.8rem;
    font-size: 6rem;
}
.header__box1-forum {
    margin-right: 2.4rem;
    color: var(--text-forum);
    font-family: 'Barlow', sans-serif;
}
.header__box1-name {
    color: var(--text-name);
    font-family: 'Barlow', sans-serif;  
}
/* box2 */
.header__box2 {
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Barlow', sans-serif;
}
.header__box2 input {
    padding : 1.2rem;
}
.header__box2-search {
    margin-right: 1.6rem;
}
.header__box2-log {
    display: flex;
    padding: 12px 16px;
    height: 4.8rem;
    width: 17.1rem;
    background: var(--text-forum);
    border-radius: 8px;
    justify-content: center;
    align-items: center;
    color: var(--text-log);
}
.header__box2-log p {
    font-size: 1.6rem;
}
.header__box2-log p:nth-child(2) {
    margin: 0 3px;
}

.header__box2 input {
    font-size: 1.4rem;
    height: 4.5rem;
    width: 25rem;
    border: 1px solid var(--color-border);
    border-radius: 4px;
}
</style>